package pizzaareusllc;

public class TomatoPie extends Margherita {
    public TomatoPie(PizzaSize size) {
        super(size);
        pizzaType = "Tomato Pie";
        setToppings();
        setPreparationMode();
    }

    private void setToppings() {
        addTopping("olives");
        addTopping("artichoke hearts");
        addTopping("ham");
        addTopping("sauteed mushrooms");
        removeTopping("mozzarella");
        removeTopping("torn basil");
    }
    
    private void setPreparationMode() {
        removePreparationStep("mozzarella");
        removePreparationStep("basil");
        addPreparationStep("Use extra oregano");
    }
}
